@echo off
Rem	Usage:  unpatch  [dfDirectory]

Rem	where the optional parameter specifies the complete path to
Rem	the Daggerfall installation directory, c:\dagger, by default.

set tes2=..
if .%1 == . goto next
	set tes2=%1

:next

Rem	We'd like to log this failure, but since we presently don't
Rem	know exactly where we are, refrain from dropping the log
Rem	file at random on his hard drive.

if exist werefall.pat goto goOn
	echo unpatch must be run from the werefall directory.
	goto fini

:goOn

Rem	Note that `o:' is a magic number, not a drive letter.

echo -- Begin werefall unpatch:| ncr >>unpatch.log
ecr | date | epr o: >>unpatch.log
ecr | time | epr o: >>unpatch.log

for %%i in (98 95 94 93 92 91) do del %tes2%\arena2\s00009%%i.q* >>unpatch.log
for %%i in (         76 75 74 73 72 71 70) do del %tes2%\arena2\s00009%%i.q* >>unpatch.log
for %%i in (69 68 67 66 65 64 63 62 61 60) do del %tes2%\arena2\s00009%%i.q* >>unpatch.log

Rem	Make a virgin installation from the previous safe-store.

copy original\*.*        %tes2% >>unpatch.log
copy original\arena2\*.* %tes2%\arena2 >>unpatch.log

:fin
echo -- End werefall unpatch. >>unpatch.log
echo Werefall unpatched.

:fini
